# Generated by Django 3.1.1 on 2020-09-14 23:14

import django.db.models.deletion
import modelcluster.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("donate", "0011_donateprojectpage_form_preselected"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="donatetargeteddonationspage",
            name="targeted_donations",
        ),
        migrations.CreateModel(
            name="TargetedDonation",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "sort_order",
                    models.IntegerField(blank=True, editable=False, null=True),
                ),
                (
                    "is_main",
                    models.BooleanField(
                        default=False,
                        help_text="zobrazené samostatně nahoře",
                        verbose_name="hlavní dar",
                    ),
                ),
                ("title", models.CharField(max_length=255, verbose_name="název")),
                (
                    "description",
                    models.CharField(
                        blank=True,
                        help_text="zobrazí se jen u hlavních darů",
                        max_length=255,
                        null=True,
                        verbose_name="popis",
                    ),
                ),
                (
                    "portal_project_id",
                    models.IntegerField(verbose_name="ID projektu v darovacím portálu"),
                ),
                (
                    "page",
                    modelcluster.fields.ParentalKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="targeted_donations",
                        to="donate.donatetargeteddonationspage",
                    ),
                ),
            ],
            options={
                "ordering": ["sort_order"],
                "abstract": False,
            },
        ),
    ]
